Sun Nov 26 2007  Peter Eisenlohr (peter@eisenlohr.org)

	*** xmms-crossfade v0.3.14 release ***

Sun Nov 25 2007  Peter Eisenlohr (peter@eisenlohr.org)

	* crossfade.c: Fixed automatic songchange with audacious.
	The wrong settings were used for the transition. Thanks to
	George Vlahavas for reporting this.

	* crossfade.c: Removed obsolete SONGCHANGE_TIMEOUT stuff.

Wed Nov 21 2007  Peter Eisenlohr (peter@eisenlohr.org)

	* crossfade.h: Fixed g_thread_* support.

	* crossfade.c: Fixed stream handling. Audacious returns a NULL
	filename for those, which confused XMMS-crossfade.

	* mixer.c,h: Removed, don't even know what they where good for.

	* volume.c, crossfade.c: The software mixer is now applied after
	the mixing buffer. This should result in much quicker response
	to the volume controls.

Wed Nov 21 2007  Peter Eisenlohr (peter@eisenlohr.org)

	*** xmms-crossfade v0.3.13 release ***

	* configure.in: Small command line switch fixes.

	* player.c: Fixed support for older audacious versions.

Tue Nov 20 2007  Peter Eisenlohr (peter@eisenlohr.org)

	* configure.in: Dropped BMP support.

	* player.c: New simple compatibility layer for supporting
	audacious-1.4.0.

Sat Jul 28 2007  Peter Eisenlohr (peter@eisenlohr.org)

	Added patch to support latest audacious (1.4.0) ABI changes.
	Thanks to Christian Birchinger!

Sun Mar 03 2007  Peter Eisenlohr (peter@eisenlohr.org)

	*** xmms-crossfade v0.3.12 release ***

Sun Mar 03 2007  Peter Eisenlohr (peter@eisenlohr.org)

	* crossfade.h: Added a wrapper for playlist_get_current_length(),
	which has changed in audacious-1.3.0. This function now accepts a
	pointer to a playlist. This bug has caused the buffer monitor to
	segfault.

Mon Jan 08 2007  Peter Eisenlohr (peter@eisenlohr.org)

	* configure.in: Added check for audacious versions 1.3.0 or greater.
	
	* crossfade.c: Applied patch by Kamil Dziedzic for coping with ABI
	changes introduced by audacious-1.3.0.

Thu Nov 16 2006  Peter Eisenlohr (peter@eisenlohr.org)

	* monitor.c: Avoiding GDK and GTK warnings when running in headless
	mode without a DISPLAY and having the buffer monitor enabled.

	FIXME: this is not working yet :(

Tue Sep 26 2006  Peter Eisenlohr (peter@eisenlohr.org)

	configure.in: Added missing check for pkg-config audacious.

Wed Sep 13 2006  Serge Koksharov (gentoosiast@yandex.ru)

	configure.c: Fixed compiler warning about unused 'mixer variable.

	interface-2.0.glade: Removed signal handler which caused erroneous
	Close button behaviour in the About dialog.

Wed Aug 02 2006  Peter Eisenlohr (peter@eisenlohr.org)

	* crossfade.c: Changed album match detection. The extraction
	of the album number from the filename did not work very well
	at all. Now, the first number contained in the filename is
	interpreted as the track number instead of using any (and all)
	digits.

	Also made some preparations for reading the ID3 Track field.

Fri Jul 14 2006  Peter Eisenlohr (peter@eisenlohr.org)

	*** xmms-crossfade v0.3.11 release ***

Thu Jul 13 2006  Peter Eisenlohr (peter@eisenlohr.org)

	rate.c: Fixed support for additional resampling rates. Also
	disabled rates greater than 65535 when not using libsamplerate,
	because the builtin resampler can't handle those.

	configure.in: More patch detection updates and cleanups.

Sun Jul 09 2006  Peter Eisenlohr (peter@eisenlohr.org)

	configure.c: Added more sample rates to the drop down list.

	crossfade.c: Added special handling for audacious: Instead of
	calling close_audio() / open_audio() on a songchange, it simply
	calls flush(0) on the output plugin (probably in order to avoid
	interruptions in the output). Unfortunatelly, this is interpreted
	as a SEEK by XMMS-crossfade. As a workaround, XMMS-crossfade now
	checks if the filename has changed on a flush(0) and closes/opens
	itself accordingly.

	cfgutil.c: Now using the correct player-dependent directory
	for storing presets. Presets are still disabled, however.

Thu Jul 06 2006  Peter Eisenlohr (peter@eisenlohr.org)

	configure.c: noxmms (headless) support now working. For this,
	the non-gtk-specific helper functions for loading/saving the
	config has been split off into cfgutil.c. 

Tue Jul 04 2006  Peter Eisenlohr (peter@eisenlohr.org)

	* TODO: removed, has not been used in years

Mon Jul 03 2006  Peter Eisenlohr (peter@eisenlohr.org)

	* crossfade.h: Updates for supporting latest audacious releases.
	Audacious uses a modified struct OutputPlugin, but (finally!)
	provides a cleanup hook.

	* crossfade.c: Audacious 'headless' mode works with crossfading.

Thu Jun 06 2006  Peter Eisenlohr (peter@eisenlohr.org)

	* crossfade.c: Added a private cleanup callback function to XMMS'
	Output plugin struct. This helps in solving some exotic cleanup
	problems and requires a specially patched XMMS.

Thu Mar 02 2006  Peter Eisenlohr (peter@eisenlohr.org)

	* configure.in: Added preliminary (testing only) support for
	the 'noxmms' player, i.e. for headless crossfading. This does
	not work yet, though.

Mon Feb 06 2006  Peter Eisenlohr (peter@eisenlohr.org)

	* crossfade.c: Added support for using different crossfade
	parameters for each song. Currently, the parameters are taken
	from XMMS, which needs to be patched for this. The crossfade
	parameters can then be stored in an extended playlist (M3U)
	file.

Thu Jan 12 2006  Peter Eisenlohr (peter@eisenlohr.org)

	* configure.in: Updated patch detection. Added special warning
	when using the NPTL version of POSIX threads without the 'exit'
	player patch. This combination still locks up XMMS when exitting
	while a song is being played.

	* crossfade.c: Re-enabled songchange timeout for unpatched players.
	Also made this setting configureable again. With patched players,
	the songchange timeout is not used any more, but can still provide
	for extra buffer time.

	* crossfade.c: Found a nasty bug introduced in version 0.3.9:
	The songchange timeout was somehow hardcoded to 10 ms, causing the
	end of most songs to be cut off.

Wed Jan 11 2006  Peter Eisenlohr (peter@eisenlohr.org)

	* patches/xmms-1.2.10-crossfade.patch: Fixed a bug that could
	cause the last few seconds of a song to be cut off on automatic
	songchange.

Sun Dec 25 2005  Peter Eisenlohr (peter@eisenlohr.org)

	* rate.c, volume.c: Fixed gcc-2.9x compilation bugs. Thanks
	to Gerald Schnabel for the patch.

Thu Dec 15 2005  Peter Eisenlohr (peter@eisenlohr.org)

	* configure.c: Added a hack for the GTK2 based builds that fix
	the behaviour of the spin boxes in the configuration dialog.
	Previously, they would not save their state when you entered a
	value by keyboard. Thanks to Decklin Foster for reporting this.

Mon Dec 05 2005  Peter Eisenlohr (peter@eisenlohr.org)

	* Makefile.am: Fixed a problem with 'export.sym' not being found
	when XMMS-crossfade is built in a subdirectory. Thanks to Goetz
	Waschk for the patch.

Sun Dec 04 2005  Peter Eisenlohr (peter@eisenlohr.org)

	*** xmms-crossfade v0.3.10 release ***

Thu Dec 01 2005  Peter Eisenlohr (peter@eisenlohr.org)

	* configure.in: Added check for 'pkg-config bmp' when beep-config
	is not available.

	* crossfade.h: Fixed another GCC4 compilation bug (buffer_mutex).
	Thanxs to Götz Waschk for reporting this.

	* Makefile.am: Added missing files to extra dist (interface-2.0.h
	and support-2.0.h)

	* configure.c: Fixed a segfault on some systems when opening the
	configuration dialog. This could happen if another plugin did
	somehow not set the 'filename' field int its plugin struct.
	Thanks to Daniel Eckl for reporting this.

Wed Nov 30 2005  Peter Eisenlohr (peter@eisenlohr.org)

	*** xmms-crossfade v0.3.9 release ***

Thu Nov 24 2005  Peter Eisenlohr (peter@eisenlohr.org)

	* configure.in: Added support for Audacious.

	* monitor.c: Fixed GTK 2.0 monitor window progress bar.

	* configure.in: Improved checking for bmp/xmms players.

	* crossfade.h: Now correctly including bmp/*.h when compiling
	for beep media player.

	* configure.c: Disable effect plugin list combo box if
	there are no effect plugins.

Wed Nov 23 2005  Peter Eisenlohr (peter@eisenlohr.org)

	* configure.c: Fixed support for BMP. XMMS-crossfade now is
	working again in beep-media-player.

	* interface-2.0.glade: Fixed duplicate widget name bug, which
	resulted in an compile error in interface-2.0.c.

Tue Nov 22 2005  Peter Eisenlohr (peter@eisenlohr.org)

	* crossfade.c: Removed PTHREAD_CREATE_DETACHED. This seems to
	fix problems when quitting XMMS while a song is playing. Also,
	enabled support 'is_quitting' XMMS patch.

	* crossfade.c: Enabled support for XMMS 'input_stop_for_restart'
	patch. This should fix any songchange timeout issues, finally.

	* crossfade.c: Re-enabled hack for detecting if XMMS is quitting.
	Requires patched XMMS. Currently, there is no way without this
	patch to safely exit XMMS. This is due to a bug in the NPTL
	version of glibc's pthread_exit() / dlclose() functions.

	* rate.c: Cleanup of debug output messages.

Fri Nov 18 2005  Peter Eisenlohr (peter@eisenlohr.org)

	* all files: complete source code reformatting using indent.
	The following options are used: -i8 -ts8 -hnl -bli0 -l128 -npcs

Thu Nov 01 2005  Peter Eisenlohr (peter@eisenlohr.org)

	* monitor.c: Added patch that fixes compilation problems with gcc 4.

	* configure.in: Slightly better gtk2 / BMP detection.

Fri Sep 24 2004  Peter Eisenlohr (peter@eisenlohr.org)

	*** xmms-crossfade v0.3.8 release ***
		
Fri Sep 24 2004  Peter Eisenlohr (peter@eisenlohr.org)

	rate.c: Fixed a compilation error when compiling
	without libsamplerate support.
		
Fri Sep 24 2004  Peter Eisenlohr (peter@eisenlohr.org)

	*** xmms-crossfade v0.3.7 release ***

Fri Sep 24 2004  Peter Eisenlohr (peter@eisenlohr.org)

	* rate.c: Fixed a bug in the new rate conversion code that
	caused high CPU load on some systems.

Fri Sep 17 2004  Peter Eisenlohr (peter@eisenlohr.org)

	*** xmms-crossfade v0.3.6 release ***

Thu Sep 16 2004  Peter Eisenlohr (peter@eisenlohr.org)

	* configure.c: Added configuration options for setting the
	libsamplerate converter to use for resampling.

Tue Sep 14 2004  Peter Eisenlohr (peter@eisenlohr.org)

	* rate.c: Applied patch by Samuel Krempp, implementing improved
	resampling by using libsamplerate.

Thu Aug 05 2004  Peter Eisenlohr (peter@eisenlohr.org)

	*** xmms-crossfade v0.3.5 release ***
	
Mon Aug 02 2004  Peter Eisenlohr (peter@eisenlohr.org)

	* crossfade.c: The hack mentioned below was not complete: Now,
	even though xmms-crossfade was cleaned up first, ALSA would still
	lockup up when being closed. This was because it is closed from
	a different thread than it has been opened from -- a weird ALSA
	bug, I suppose. Anyway, a hack has been added that forces closing
	of the output plugin from the original XMMS thread.

Tue Mar 30 2004  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* crossfade.c: Added another, better hack to work around the crash
	on exit when using ALSA as the output plugin: XMMS-crossfade will
	now sort itself to the beginning of XMMS' output plugin list. This
	way, it will be freed first when XMMS is exiting.

Tue Mar 09 2004  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* crossfade.c: Fixed output_streampos updating when flushing
	the output device (if configured to do so for manual songchange
	or seeking). This was a minor bug and would only result in incorrect
	displaying of the debug streampos offset in the monitor window.

Sun Nov 23 2003  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* configure.c: Added a workaround for a strange bug, which
	would result in the ALSA-output plugin being grayed out
	in the output plugin list under certain conditions.

Mon Nov 10 2003  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* configure.c: Changed effect plugin handling. When enabling
	or selecting an effect plugin, the change will be applied
	immediatelly (similar to the way XMMS handles effect plugins).

	* effect.c: Fixed effect plugin handling. The effect plugin
	was not correctly initialized before use. This caused some
	plugins to not work when used as a pre-mixing effect plugin.
	
Wed Okt 08 2003  Peter Eisenlohr (p.eisenlohr@gmx.net)

	*** xmms-crossfade v0.3.4 release ***

	* oss.c: Fixed a bug which could cause a complete stop
	of playback on a buffer underrun.

	* crossfade.c: When XMMS is closed while a songs is being
	played, the fadeout-on-stop crossfade is applied before
	quitting.
	
Mon Okt 06 2003  Peter Eisenlohr (p.eisenlohr@gmx.net)

	*** xmms-crossfade v0.3.3 release ***
	
Wed Sep 10 2003  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* crossfade.c: added 'Skip to next zero crossing' option
	
Sun Sep 07 2003  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* crossfade.c: disabled trailing gapkiller for last song
	of playlist

	* crossfade.c: Improved gapkiller. It will now cut only at the
	next zero-crossing, which should further help in avoiding clicks
	during transitions.
	
Wed Jul 16 2003  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* oss.c: Fixed a bug in the mixer code. The 'Use alternate device'
	option was ignored.
	
Mon Jul 14 2003  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* configure.c: the alternate device mixer setting was not saved.
	
Fri Jun 20 2003  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* crossfade.c: fixed a bug in the new pausing code which could
	cause distorted audio when using different times for fadeout/in

	* crossfade.c: added an option to disable automatic crossfading
	when making a transition to the same file

	* configure.in: Added checks for libsamplerate. It is not activated
	by default, yet. It is used for experimental purposes only.

	* configure.in: updated configure.in

	* acconfig.h: removed

Sat Apr 26 2003  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* configure.in: updated to autoconf-2.57, automake-1.7.4
	and libtool-1.5.

Tue Apr 22 2003  Peter Eisenlohr (p.eisenlohr@gmx.net)

	*** xmms-crossfade v0.3.2 release ***

Tue Apr 08 2003  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* format.c: fixed compiler warnings about memcpy not being defined
	
	* configure.in: endianess check was missing, which caused
	problems on PPC. Thanks to Ben Stanley for reporting and testing.
	
Thu Mar 27 2003  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* crossfade.c: added patch for enhanced track detection
	by Martin Gadbois.
	
Mon Mar 17 2003  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* COPYING: re-added, was missing in previous two releases.
	
Wed Mar 12 2003  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* configure.c: Fixed automatic buffer size calculations. The
	calculated value did not include the buffer space for the
	fade in when unpausing.
	
	* crossfade.c: Fixed a bug in the new pausing code. Under
	some circumstances it could happen that playback would still
	be paused after pressing pause, then stop, then play again.

	* crossfade.c: Fixed some compiler warnings with newer gccs.

Wed Mar 12 2003  Peter Eisenlohr (p.eisenlohr@gmx.net)

        *** xmms-crossfade v0.3.1 release ***

Wed Mar 12 2003  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* crossfade.c: Added support for fadeout/fadein on pause.
	
Tue Mar 11 2003  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* ChangeLog: Fixed dates of 2003 changelog entries.

	* README: updated documentation

	* crossfade.h: Fixed default crossfade settings for
	manual songchange. An offset of -6000 was way too much.

	* crossfade.c: Fixed a bug in the new 'Keep Output openend' option.
	The device would be opened after a XMMS restart, but no 'silence'
	would be played.

	* crossfade.c: Fixed another bug in the above option: When starting XMMS
	with 'Keep Output opened' enabled, it will not be possible to reopen
	output again after closing. I don't really have an explanation for this,
	but there is a workaround.

Mon Mar 10 2003  Peter Eisenlohr (p.eisenlohr@gmx.net)

	*** xmms-crossfade v0.3.0 release ***

Fri Mar 07 2003  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* confiugre.c: Fixed a bug in OSS mixer detection code
	which could cause a lockup when opening the configuration
	dialog.

Mon Mar 03 2003  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* crossfade.c: Added software mixer support. This allows
	volume control for output plugins that do not support
	set_volume() / get_volume().

Fri Feb 14 2003  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* configure.c: Fixed silly bug which would cause the
	configure and about buttons of the pre-mixing effect
	plugin configuration to be enabled/disabled incorrectly.

Wed Jan 29 2003  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* oss.c: Increased threshold when waiting for OSS buffers
	
Mon Oct 14 2002  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* configure.c: Fixed a bug which would result in the leading
	gapkiller's level being used for trailing gaps. This one
	has been discovered by David Mayo.

Tue Sep 17 2002  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* crossfade.c: Fixed a bug in the new option mentioned below:
	When the crossfader was disabled for manual stops, playback
	would stop completely instead of keeping the device opened.

Thu Sep 10 2002  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* crossfade.c: Added option to keep the output plugin opened
	all the time. This may be usefull in avoiding any clicks
	involved in opening/closing the soundcard. The idea comes from
	Matt Clements.

	* configure.c: Added checkbox for the option above.
	
Thu Mar 28 2002  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* crossfade.c: Added improved timeout detection.

Wed Mar 06 2002  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* oss.c: Fixed a huge memory leak. The OSS buffer
	never was freed. This one has been noticed by Stephan
	Tillenburg.
	
Thu Feb 05 2002  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* configure.c: Added position display to monitor window.
	It will display the correct time during a crossfade.

Thu Jan 01 2002  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* crossfade.c: Fixed two compiler warnings on Solaris.
	Thanx to Reinhart Hansen for testing and reporting.

	* effect.c: Fixed effect plugin handling to be more
	compatible with some effect plugins that return FMT_?16_LE
	or FMT_?16_BE instead of FMT_?16_NE.
	
Mon Dez 03 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* crossfade.c: Fixed a bug which would cut off the first
	few hundred ms of a song when using FADE_CONFIG_REOPEN and
	a very low songchange timeout. This one has been reported
	by Olli Eestilä.

	* volume.c: Added volume normalizer.

Fri Okt 20 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* oss.c: Fixed a bug in the builtin OSS driver that could
	cause clicks or hickups when pausing.

	* configure.c: The Mixer-'Use alternate device' setting of
	the builtin OSS-driver's configuration was not saved to the
	config file. It seems nobody used that option anyway, since
	this bug has been here a long time :)

Tue Okt 16 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* configure.c: added pause/fade-in to the flush crossfade/
	transition type
	
	* crossfade.c: added quantaudio support

Fri Sep 21 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* monitor.h: Made the buffer monitor's refresh interval
	configureable by source (#define UPDATE_INTERVAL).

Fri Jun 29 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* crossfade.c: Fixed OP buffer usage limitting.

	* configure.c: Changed configure.c to use
	xmms_cfg_open_default_file() instead of building
	the pathname manually. This should be more compatible.
	
Thu Jun 07 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

	*** xmms-crossfade v0.2.9 release ***

	* INSTALL: added generic INSTALL readme file.
	
Sat Jun 02 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* README: Updated installation instructions.

	* configure.in: Added more verbose error messages when
	one of 'xmms-config', GLIB or GTK can not be found.

Tue May 15 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* crossfade.c: Fixed a bug in the pre-mixing effect plugin
	handling code. When starting XMMS, the plugin would not
	be activated until you pressed 'Apply' or 'OK' in the
	configuration dialog.

Sat May 12 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

	*** xmms-crossfade v0.2.8 release ***

Wed May 09 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* crossfade.c: Fixed a bug which could cause very ugly feedback
	when using the silence-after-fadeout crossfader feature. This
	does only happen when you have activated an effect plugin in
	XMMS.

	* crossfade.c: Fixed a bug which caused a compilation error when
	using XMMS-1.0.1.
	
Fri Apr 20 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

        *** xmms-crossfade v0.2.7 release ***

Thu Apr 19 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* crossfade.c: Fixed a small bug which could have caused inproper
	visualization plugin synchronization if the 'Force close/reopen
	on songchange' plugin compatibility option was enabled.

Sat Apr 14 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* oss.c: Added the option to use the maximum number of fragments
	available from the oss device. Normally, only about 250 ms of
	device buffer space is used -- with this option, the maximum buffer
	space is used, which may help to avoid playback hiccups.
	
	* configure.c: Fixed a very minor bug in the configuration dialog.
	The notebook page with the settings for the builtin OSS driver
	was not remembered when the dialog was reopened.
	
	* crossfade.c: The 'Force close/reopen on songchange' plugin
	compatiblity option did not work when manually changing songs
	with the 'Flush output device' transition type.
	
	* monitor.c: Fixed a bug in the output buffer display. When opening
	the buffer monitor during playback, it was not properly initialized
	and always showed zero output buffer usage.

Fri Apr 13 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* crossfade.c: Fixed a bug which would delay start of playback
	when pressing PLAY under certain cicumstances. See sync_output().

Sun Apr 08 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* configure.c: Fixed a bug in the advanced crossfading config
	page. Selecting 'None' as offset did not work; the custom offset
	was used instead. This bug has been introduced with version 0.2.4.

Fri Mar 30 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* configure.in: Fixed a problem in the configure script concering
	the use of 'tr' on solaris. Thanx to Derrick J. Brashear for the
	report and a fix.
	
Mon Mar 26 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* crossfade.c: Completely disabled all controlsocket functions.
	They seemed to have caused the rare lockup bug mentioned below.
	XMMS' playlist functions to get the current filename are now
	called directly. Thanx to Nathan Walp for help with debugging.

Sat Mar 24 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

        *** xmms-crossfade v0.2.6 release ***
	
Sat Mar 24 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* crossfade.c: Fixed a very rare bug that could cause lockups
	with some input plugins, namely mikmod and vorbis. Note that
	this changelog entry was missing in the 0.2.6 ChangeLog file,
	although the bugfix was included in the distribution. This one
	has been first reported by Haakon Riiser.
	
Fri Mar 23 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* crossfade.c: Added support for crossfading when seeking.

	* README: Updated documentation
	
Mon Mar 19 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* interface.glade: Added tooltip help text to most of the
	configuration dialog GUI elements.
	
	* crossfade.c: Disabled retrieval of title information when
	opening songs. There has been a report that this has caused
	lockups when playing modules with the mikmod input plugin.

Sat Mar 17 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* crossfade.c: Added support for 48 kHz mixing.

	* crossfade.c, effect.c: Added support for selecting another
	plugin to be used prior to rate conversion and mixing.

Thu Mar 15 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

        *** xmms-crossfade v0.2.5 release ***
	
Wed Mar 14 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* crossfade.c: Set the 'flush' flag to TRUE again for CONFIG_START.
	This produced another bug in apply_fade_config: The silence count
	down was not reset when the buffer was flushed.

Tue Mar 13 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* crossfade.c: Added another fix for the OP buffer usage issue.

Tue Mar 13 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* crossfade.c: The new 'Limit OP buffer usage' function was almost
	completely broken. Fixed. This option is now off by default, because
	it still can introduce unwanted delays when set to incorrect values.
	This bug has been reported by numerous people.

Sun Mar 11 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

	*** xmms-crossfade v0.2.4 release ***

Sat Mar 10 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* crossfade.c, configure.c: Added a new option, "Limit OP buffer
	usage". This is an optimization option to decrease latency when
	pressing the STOP or NEXT/PREV buttons.
	
Tue Mar 06 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* configure.c: Added three more fade configs: Fadein at start of
	playback, fadeout on manual stop and fadeout at end of playback.
	There is also two new crossfade/transition types for the new configs,
	fadein and fadeout. The fadeout configuration also has an additional
	parameter for adding silence after the playback. In doing so, we
	can work around the knack when closing the output device.

	* crossfade.c: Fixed a bug when inserting pauses between songs. The
	bug could cause unwanted gaps and interruptions at the end of a song.

	* crossfade.c: Code cleanup.

Fri Feb 16 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* configure.c: Added more verbose debug output when scanning
	/dev/sndstat. Also tested the builtin OSS plugin with two
	soundcards installed.

Sun Feb 04 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* oss.c: Added a hack which tests if the audio device is locked by
	another process. This avoids the complete lockup of XMMS, for example
	when running the arts or esound daemons.

Fri Jan 26 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* Makefile.am, export_symbols: libcrossfade.so now only exports
	one function, get_oplugin_info(). This avoids possible name clashes.

Fri Jan 12 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* crossfade.c: fixed a bug which could, in theory, lock
	up XMMS if the output plugin misbehaved and always
	returned zero from buffer_free().
	
	* configure.c: Made http buffer underrun workaround
	configureable by the user. Added another checkbox
	to the Misc tab of the configuration dialog for this.

Thu Jan 11 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* crossfade.h: disabled the possibly obsolete http_workaround

Wed Jan 03 2001  Sourav K. Mandal (Sourav.Mandal@ikaran.com)

	* xmms-crossfade.spec.in: First spec file incorporated
	in tarball package

Mon Jan 01 2001  Peter Eisenlohr (p.eisenlohr@gmx.net)

	*** xmms-crossfade v0.2.3 release ***

Sun Dec 31 2000  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* interface.glade: Fine-tuning of the configuration dialog:
	Changed increment rates for most of the spin buttons.

Sun Dec 22 2000  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* configure.c: Now taking the songchange timeout into account when
	automatically calculating the mixing buffer size.
	
Sun Dec 14 2000  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* configure.c: Fixed a bug which would cause the Leading gap length
	setting not to be saved. Thanx to Derrick J. Brashear for the bug
	report and a patch.

Sun Dec 14 2000  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* configure.in: Cleanup; added xmms-config's LIBS and CFLAGS
	settings. Added output of configuration settings.

	* crossfade.c: Added automatic Album Songchange detection.
	There's a new option "Don't crossfade between successive tracks"
	in the configuration dialog to enable this feature.
	
Sun Dec 14 2000  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* crossfade.h: Changed the default crossfade type for manual
	crossfades from 'None' to 'Flush output device'. This is a more
	sensible default and will give instant reaction when selecting
	another song.

Sun Dec 02 2000  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* monitor.c: Fixed a small cosmetic bug in the buffer monitor.

Sat Dec 02 2000  Peter Eisenlohr (p.eisenlohr@gmx.net)

	*** xmms-crossfade v0.2.2 release ***

Wed Nov 27 2000  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* configure.c: Fixed a bug in the Advanced crossfade configuration
	tab, which would cause the wrong offset type to be selected.

Tue Nov 27 2000  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* crossfade.c: Added a safety timeout to sync_output().
	
	* crossfade.c: Fixed a bug in the 'Force close/reopen' plugin
	compatibility option. Also fixed the 'Reopen device' transition
	type, which did not correctly wait for the output plugin when
	used for Automatic songchange.

	* interface.c: Added Mixing buffer preload to the Misc tab of the
	configuration dialog.

Mon Nov 27 2000  Peter Eisenlohr (p.eisenlohr@gmx.net)

	*** xmms-crossfade v0.2.1 release: ***

        Changes:
	- Automatic buffer size calculation
	- Force close/reopen of output plugin during crossfade.
	  This is useful with the disk_writer plugin.
	- Bugfixes
	
	* README: Added documentation

Sun Nov 26 2000  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* configure.c: Major code cleanup. Added automatic mixing buffer
	size calculation.

Sat Nov 25 2000  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* interface.glade: Some tiny cosmetic fixes. Added a short note
	about having to stop/restart playback when modifying output options.

Fri Nov 24 2000  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* oss.c: Fixed buffer size calculation.

	* configure.c: Fixed some dependencies in the Gap Killer Tab.

Fri Nov 23 2000  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* crossfade.c: Fixed a small bug in debug output. On crossfade,
	the skip value would show wrong, negative values.
	
	* crossfade.c: Fixed a bug which would eventually stop playback
	when reading MP3s from slow media or streams. Thanx to Sammy Atmadja
	for reporting this one.
	
	* configure.c: Made songchange_timeout configureable by the user.

Wed Nov 22 2000  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* Makefile.am, libtool, ...: Removed the -nostdlib linker option.
	Added a	configure script check for the constructor attribute.
	Changed the _fini() function in crossfade.c to use the destructor
	attribute. Hopefully this is more portable than the old method.
	Thanx to Kenneth Lareau for help on this issue.
	
	* crossfade.c, configure.c: Added a new plugin compatiblity option
	"Force close/reopen on songchange". This will be forced even when
	crossfading. This is only usefull when using disk_writer for output.
	It will now create separate files for each song, insted of just one
	big WAV. This has been requested by Clemens Krammer.

Thu Nov 22 2000  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* configure.in, Makefile.am: Fixed configure script/Makefile to be
	able to compile on system which don't have OSS installed. The builtin
	OSS driver will simply be disabled

Thu Nov 16 2000  Peter Eisenlohr (p.eisenlohr@gmx.net)

	*** xmms-crossfade-0.2 release: ***

	New features are:
	- Use any existing output Plugin
	- Set crossfading parameters separately for  manual and automatic
	  songchange
	- Set fade length/volume separately for fade-in and out
	
	Almost complete rewrite of the code. A few new files have been
	added. Some routines have been separated from the main code and
	put into separate files (oss.c, rate.c, format.c, effect.c).

	* configure.in: changed GLIB/GTK version requirement to >= 1.2.7

	* ChangeLog: fixed formatting to be somewhat more conforming to
	standards.
	
Wed Jul 19 2000  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* configure.c: Added alternate method of scanning for mixer devices
	like the one used in the 3dse patch by Frank Cornelis. Thanx to
	Jan Niehusmann for suggesting this and providing the patch.

Mon Jul 03 2000  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* README, ChangeLog: Moved ChangeLog into separate file

Mon Jun 26 2000  Peter Eisenlohr (p.eisenlohr@gmx.net)

	* crossfade.c: Fixed effect plugin handling. All effects which
	used the query_format() callback did not work, including QSound
	iQ.  Also, effects are now applied after crossfading and
	synchronous to device output. The LiveIce plugin will work now,
	too.

	Thanx to Olle Hällnäs and Jamie Zawinski for help on this one.

	* configure.c: Fixed a bug which could cause crashes when saving
	config

	* crossface.c: Fixed a crash when crossfading between slow inputs,
	for example a cdrom spinning up or a network audio stream

	* configure.c: Closing the monitor window no longer unchecks the
	"Show Buffer Monitor" option in the configuration dialog

	* crossfade.c: Fixed bad synchronization with
	analyzer/visualization output.  Also changed "Known Bugs": The
	analyzer will always work, even with no buffers at all.

	* crossfade.c: Enabled crossfading on manual songchange!  This has
	been requested by numerous people.

	* crossfade.c, rate.c: Added support for arbitrary rates. Now it
	is possible to play files with rates other than the standard
	11025, 22050 and 44100.  Thanx to Thomas Nilsson for reporting.

	* crossfade.c: Changed default buffer sizes to 2500/750.

	* AUTHORS, README: Moved Credits from AUTHORS to README

Fri Jun 16 2000  Peter Eisenlohr (p.eisenlohr@gmx.net)

	*** Initial Release ***
